function y = Mpdwt(H,x,rm)

%function y = MpMdwt(H,x,rm)
%1D
%Iterated filter bank decomposition in frequential
%INPUT:
%   H : synthesis filters of the M-band filter bank
%   x : signal to decompose (temporal)
%   rm : number of decomposition levels 
%OUTPUT:
%   y : decomposed signal

%*****************************************************
%* author: Caroline Chaux                            *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, November, 2nd 2006                *
%* License CeCILL-B				      *
%*****************************************************



M = size(H,1);
LX = length(x);
if rem(LX,M^rm) ~= 0
    error('Dimensions should be multiple of M1 ou M2 ^rm');
end

x = fft(x)/sqrt(LX);
H = H/sqrt(M);

LXr = LX;
for r = 1:rm
    %r
    %for m1 = 1:M
    %    ytemp{r}{m1} = zeros(LX1r,LX2r/M)
    %end
    %ytemp = zeros(M,LXr,LXr/M);

    ind = 1:M^(r-1):LX;
    HH = H(:,ind);
    Ytemp = analMDFT(x,HH);

    for m = 1:M
        y{r}{m} = Ytemp(m,:);
    end

    LXr = LXr/M;
    for m = 1:M
        if m == 1
            x = y{r}{1};
            y{r}{1} = [];
        else
            y{r}{m} = real(ifft(y{r}{m})*sqrt(LXr));
        end
    end

end
y{rm}{1} = real(ifft(x)*sqrt(LXr));

