function Y = analMDFT(X,H)

%function Y = analMDFT(X,H)
%Filter bank decomposition
%INPUT:
%   X : image to decompose (in frequential)
%   H : Synthesis filter bank
%OUTPUT:
%   Y : Decomposed image

%*****************************************************
%* author: Jean-Christophe Pesquet                   *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, November, 2nd 2006                *
%* License CeCILL-B				      *
%*****************************************************

M = size(H,1);
Ytemp = (ones(M,1)*X).*H;
LXr = size(X,2)/M;
Y = zeros(M,LXr);
Xr = zeros(1,LXr);
for m = 1:M
    indm = (1:LXr)+(m-1)*LXr;
    Y = Y+Ytemp(:,indm);
end
