function [Gamma,Gammah]=genere_gamma_freq_1D(M,m,N)

%function [Gamma,Gammah]=genere_gamma_freq_1D(M,m,N)
%Genere the filters' coef for prefiltering
%INPUT:
%   M : bands numbers
%   m : filter to use (automatic with the dual tree decomposition)
%   N : image's number points
%OUTPUT:
%   Gamma : the gamma function (filter's coef of prefiltering in "normal"
%   tree) in frequential
%   Gammah : the gammah function (filter's coef of prefiltering in "dual" tree) in frequential

%*****************************************************
%* author: Caroline Chaux                            *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, November, 2nd 2006                *
%* License CeCILL-B				      *
%*****************************************************


Phi=genere_phi_freq_1D(M,m,M*N);

pulsa=2*pi*[0:(N-1)]/N;

Gamma=[conj(Phi(1:N/2+1)),Phi(N/2:-1:2)];
Gamma(N/2+1)=real(Phi(N/2+1));
Gammah=Gamma.*exp(j*pulsa/2);
%Gammah1(Nl/2+1) = 0;
Gammah(N/2+1) = imag(Phi(N/2+1));
Gammah(N/2+2:N)=-Gammah(N/2+2:N);



