function HH=hilbert_filters_freq_1D(H)

%function HH=hilbert_filters_freq_1D(H)
%INPUT:
%   H: primal filters
%OUTPUT:
%   HH: dual filters

%*****************************************************
%* author: Caroline Chaux                            *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, November, 2nd 2006                *
%* License CeCILL-B				      *
%*****************************************************


[M,NF]=size(H);
MNF = NF;



theta = Mphase(MNF,M);
etheta = exp(-i*theta);



%Computation of the filters which form an hilbert pair with the filters generated by function filters
HH = zeros(size(H));
HH(1,:) = H(1,:).*etheta(1,:);
for m = 2:M
    HH(m,:) = H(m,:).*etheta(2,:);
end