function xrec = idualtreeM1D_freq(y,yh,rm,H,HH,G,Gh)

%function xrec = idualtreeM1D_freq(wp,wm,rm,H,HH,G,Gh)
%Program of 1D DTT recomposition
%INPUT:
%y : primal tree coef
%yh : dual tree coef
%H: filters used for decomposition
%HH: Hilbert filters used for decomposition
%conj(G): prefilter used for decomposition
%conj(Gh): Dual prefilter used for decomposition
%OUTPUT:
%xrec : reconstructed signal

%*****************************************************
%* author: Caroline Chaux                            *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, November, 2nd 2006                *
%* License CeCILL-B				      *
%*****************************************************






M=size(H,1);

LX = length(y{1}{2});
LX = LX*M;




%first tree
x = Mipdwt(H,y,rm);
x=fft(x)/sqrt(LX);

%dual tree
xh = Mipdwt(HH,yh,rm);
xh=fft(xh)/sqrt(LX);


%Iprefiltering
N=conj(G).*x;
Nh=conj(Gh).*xh;

% disp('iDT imrec et imrech aprs iprefiltrage');
% n=real(ifft(N)*sqrt(LX));
% nn=norm(n,'fro')^2
% nh=real(ifft(Nh)*sqrt(LX));
% nnh=norm(nh,'fro')^2

Xrec=(N+Nh)./((abs(G)).^2+(abs(Gh)).^2);

xrec=real(ifft(Xrec)*sqrt(LX));

