function rh = rhomeyer(omega,ep,M)

%function rh = rhomeyer(omega,ep,M)
%
%function ro necessary to the computation of meyer's filters
%INPUT:
%   omega: pulsations
%   ep : epsilon
%   M: number of bands of the filters
%OUTPUT:
%   rh: corresponding ro.

%*****************************************************
%* author: Jean-Christophe Pesquet                   *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, November, 2nd 2006                *
%* License CeCILL-B				      *
%*****************************************************


omega = abs(omega);

a = M*omega/2/pi/ep;
nuM = a.^4.*(35-84*a+70*a.^2-20*a.^3);

%a = omega/2/pi/ep;
%nu = a.^4.*(35-84*a+70*a.^2-20*a.^3);

rh = sqrt(M)*cos(pi/2*nuM);
