function G = freqcqf(H,P,t)
%FREQCQF Calcul de la reponse frequentielle d'un conjugue d'un QMF.
% G = FREQCQF(H,P,T) Echantillons de la reponse frequentielle du
% conjugue, G(F) = exp(-j*((2P+1)*F+T))*conj(H(F+1/2)).
% H echantillons de la reponse frequentielle du QMF.
% P retard, valeur par defaut 0.
% T dephasage, valeur par defaut 0.

% copyrights : J.-C. Pesquet - H. Krim  
% Thursday, November, 2nd 2006

if nargin<3
   t = 0;
end
if nargin==1
   P = 0;
end
if nargin>3
   error('Arguments en nombre incorrect')
end
N = length(H);
if rem(N,2)~=0
   error('Les echantillons doivent etre en nombre pair')
end
G(1:N/2) = H(N/2+1:N);
G(N/2+1:N) = H(1:N/2);
G = exp(-j*(2*pi*(2*P+1)*(0:N-1)/N+t)).*conj(G);
